routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('login', 'Auth\LoginController@showLoginForm');
Route::post('login', 'Auth\LoginController@login')->name('login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('menu1', function(){
	return view('menu1.index');
});

Route::get('/', 'HomeController@index')->name('home');
Route::get('/home', 'HomeController@index')->name('home');
Route::resource('empleados','EmpleadoController');

app/Empleado.php
<?php

namespace App;


use Illuminate\Database\Eloquent\Model;

class Empleado extends Model
{
    protected $fillable = ['nombre','apellido','puesto_id', 'numero_fijo','numero_celular',
    'direccion','dui','correo_electronico','fecha_de_nacimiento'];
    public function puesto()
    {
        return $this->belongsTo(Puesto::class);
    }

}

app/Puesto.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Puesto extends Model
{
    //
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/EmpleadoController.php
<?php

namespace App\Http\Controllers;

use App\Empleado;
use App\Http\Requests\CreateEmpleadoRequest;
use App\Puesto;
use Illuminate\Http\Request;

class EmpleadoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $empleados = Empleado::latest()->paginate(5);
  
        return view('empleados.index',['empleados'=>$empleados]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $puestos= \App\Puesto::all();

        return view ('empleados.create', ['puestos'=>$puestos]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CreateEmpleadoRequest $request)
    {
        /*Empleado::create([
            'nombre'=>$request->nombre,
            'apellido'=>$request->apellido,
            'puesto_id'=>$request->puesto_id,
            'numero_fijo'=>$request->numero_fijo,
            'numero_celular'=>$request->numero_celular,
            'direccion'=>$request->direccion,
            'dui'=>$request->dui,
            'correo_electronico'=>$request->correo_electronico,
            'fecha_de_nacimiento'=>$request->fecha_de_nacimiento,
        ]);*/
        Empleado::create($request->validate());
   
        return redirect()->route('empleados.index')
                        ->with('success','Empleado asignado successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function show(Empleado $empleado)
    {
        return view('empleados.show',compact('empleado'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function edit(Empleado $empleado)
    {
        return view('empleados.edit',compact('empleado'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Empleado $empleado)
    {
        $request->validate([
            'nombre'=>'required',
            'apellido'=>'required',
            'puesto_id'=>'required',
            'numero_fijo'=>'required',
            'numero_celular'=>'required',
            'direccion'=>'required',
            'dui'=>'required',
            'correo_electronico'=>'required',
            'fecha_de_nacimiento'=>'required',
        ]);

        $empleado->update($request->all());
  
        return redirect()->route('empleados.index')
                        ->with('success','Empleado updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Empleado  $empleado
     * @return \Illuminate\Http\Response
     */
    public function destroy(Empleado $empleado)
    {
        $empleado->delete();
  
        return redirect()->route('empleados.index')
                        ->with('success','Empleado deleted successfully');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Rental;
use App\Customer;
use App\Car;
use DataTables;
use DB;
use Validator;
use Carbon\Carbon;

class HomeController extends Controller
{ 
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

resources/views/empleados/create.blade.php
@extends('layouts.app')
@section('title', 'Menú 2')
@section('content')

<div class="container">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Agregar un nuevo empleado</h2>
        </div>
    </div>
</div>
   
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
   
<form action="{{ route('empleados.store') }}" method="POST">
    @csrf
        <div class="container">

            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Nombre</label>
                <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Ingrese su nombre" value="{{old('nombre')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Apellido</label>
                <input type="text" class="form-control" name="apellido" id="apellido" placeholder="Ingrese su Apellido" value="{{old('apellido')}}">
            </div>
        
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Puesto de trabajo</label>
                    <select class="form-control selectorWapis" id="puesto" name="puesto_id">
                        <option value="" selected disabled hidden>Seleccione el puesto *</option>
                        @foreach ($puestos as $puesto)
                            @if (old('puesto')==$puesto->id)                                     
                                <option  value="{{$puesto->id}}" selected>{{ $puesto->name }}</option>
                            @else
                                <option  value="{{$puesto->id}}">{{ $puesto->name }}</option>
                            @endif                                
                        @endforeach
                    </select>
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Telefono</label>
                <input type="Number" maxlength="8" class="form-control"name="numero_fijo" id="numero_fijo" placeholder="22222222" value="{{old('numero_fijo')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Telefono Celular</label>
                <input maxlength="2" type="Number" class="form-control" name="numero_celular" id="numero_celular" placeholder="77777777" value="{{old('numero_celular')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Direccion</label>
                <input type="text" class="form-control" name="direccion" id="direccion" placeholder="Calle San Antonio Colonia San Jacinto" value="{{old('direccion')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">DUI</label>
                <input type="text" class="form-control" maxlength="10" name="dui" id="dui" placeholder="012345678-9" value="{{old('dui')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Email address</label>
                <input type="email" class="form-control" name="correo_electronico" id="correo_electronico" placeholder="ejemplo@example.com" value="{{old('correo_electronico')}}">
            </div>
            <div class="mb-3">
                <label for="exampleFormControlInput1" class="form-label">Fecha de Nacimiento</label>
                <input type="Date" class="form-control" name="fecha_de_nacimiento" id="fecha_de_nacimiento" placeholder="DD/MM/AAAA" value="{{old('fecha_de_nacimiento')}}">
            </div>
            <button type="submit" class="btn btn-primary">Guardar</button>          
            <a class="btn btn-danger" href="{{route('empleados.index')}}">Cancelar</a>  
        </div>

    
   
</form>


@endsection

resources/views/empleados/index.blade.php
@extends('layouts.app')
@section('title', 'Menú 2')
@section('content')

<div class="container">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Listado de Empleados</h2>
        </div>
    </div>
    <div class="col-lg-12 margin-tb">
        <div class="pull-right">
            <a class="btn btn-primary" href="{{ route('empleados.create') }}"> Agregar un Nuevo Empleado</a>
        </div>
    </div>
    
</div>
   
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<div class="container">
        <table class="table table-hover">
        <thead>
            <tr>
            <th scope="col">Codigo</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellido</th>
            <th scope="col">Acción</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($empleados as $empleado)
            <tr>
                <td>{{$empleado->id}}</td>
                <td>{{$empleado->nombre}}</td>
                <td>{{$empleado->apellido}}</td>
                <td>
                    <form action="{{route('empleados.destroy', $empleado)}}" method="POST">
                        @method('DELETE')
                        @csrf
                        <input type="submit" value="Eliminar" class="btn btn-sm btn-danger" onclick="return confirm('¿Quiere eliminar este cliente?')">
                    </form>
                </td>
            </tr>
          
            @endforeach

        </tbody>
        </table>
</div>   



@endsection

resources/views/home.blade.php
@extends('layouts.app')
@section('title', 'Home')
@section('content')
<div class="content-header">
  <div class="container-fluid">
  </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">

  <!-- CSRF Token -->
  <meta name="csrf-token" content="{{ csrf_token() }}">

  <title>App - @yield('title')</title>
  
  <!-- Scripts -->
  <script type="text/javascript" src="{{ asset('js/app.js') }}" defer></script>  
  <script type="text/javascript" src="{{ asset('plugins/DataTables/datatables.min.js') }}" defer></script>
  <script type="text/javascript" src="{{ asset('plugins/sweetalert2/sweetalert2.js') }}" defer></script>
  <script type="text/javascript" src="{{ asset('plugins/jquery-confirm/jquery-confirm.min.js') }}" defer></script>
  <script type="text/javascript" src="{{ asset('plugins/fontawesome/js/all.min.js') }}" defer></script>
  <script type="text/javascript" src="{{ asset('plugins/select2/select2.min.js') }}" defer></script>
  <!-- Styles -->
  <link href="{{ asset('css/app.css') }}" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="{{ asset('plugins/DataTables/datatables.min.css') }}"/>
  <link rel="stylesheet" type="text/css" href="{{ asset('plugins/jquery-confirm/jquery-confirm.min.css') }}"/>
  <link rel="stylesheet" type="text/css" href="{{ asset('plugins/fontawesome/css/all.min.css') }}"/>
  <link rel="stylesheet" type="text/css" href="{{ asset('plugins/select2/select2.min.css') }}"/>
  <style type="text/css">
    .select2-selection__rendered {
      line-height: 25px !important;
    }

    .select2-selection {
      height: 37px !important;
    }

    .select2-selection__arrow {
      margin: 5px;
    }

    .btn-group-xs > .btn, .btn-xs {
      padding: .25rem .4rem;
      font-size: .875rem;
      line-height: .5;
      border-radius: .2rem;
    }
  </style>
  <!-- Fonts -->
  <link rel="dns-prefetch" href="//fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
  @section('styles')
  @show
</head>
<body class="hold-transition sidebar-mini sidebar-collapse" lang="es-sv">
  <div id="app">
    <div class="wrapper">
      <nav class="main-header navbar navbar-expand navbar-light">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link sidebar-toggle" data-widget="pushmenu" href="#" role="button" id="toggle"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item">
            <h2>App</h2>
          </li>
        </ul>        

        <ul class="navbar-nav ml-auto">
          <li class="nav-item dropdown">
            <a class="nav-link nav-link" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-user"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-header text-center">
                <strong>
                 {{ Auth::user()->name }}
               </strong>
             </div>              
             <div class="dropdown-divider">
             </div>            
             <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
              <i class="fas fa-sign-out-alt"></i>
              {{ __('Logout') }}                
              <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                @csrf
              </form>
            </a>
          </div>
        </li>
      </ul>
    </nav>
    <aside class="main-sidebar sidebar-dark-primary elevation-4 sidebar-no-expand">
      <a href="" class="brand-link bg-gray-light">
        <span class="brand-text font-weight-light">App</span>
      </a>      
      <div class="sidebar">
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">

            <li class="nav-item">
              <a href="{!!URL::to('/empleados')!!}" class="nav-link">
                <i class="nav-icon fas fa-cubes"></i>
                <p>
                  Menú 1
                </p>
              </a>
            </li>
            
            
          </ul>
        </nav>
      </div>
    </aside>
    <div class="content-wrapper">
      <div id="app">
        @yield('content')
      </div>
    </div>
    <footer class="main-footer bg-dark">    
      <div class="float-right d-none d-sm-inline">
      </div>    
      <strong>Copyright &copy; 2020 <a href="#">App</a>.</strong> All rights reserved.
    </footer>
  </div>
</div>
</body>
@section('scripts')
@show
</html>

resources/views/menu1/index.blade.php
@extends('layouts.app')
@section('title', 'Menú 1')
@section('content')
<div class="content-header">
  <div class="container-fluid">
  </div>
</div>
@endsection